# Copyright (C) Seiko Epson Corporation 2009.

%define pkgtarname epson-inkjet-printer-201106w
%define drivername epson-driver
%define filtername epson-inkjet-printer-filter
%define supplier %{pkgtarname}
%define distribution LSB
%define lsbver 3.2
%define filterver 1.0.0

%define driverstr epson-inkjet-printer
%define extraversion -1lsb%{lsbver}
%define supplierstr Seiko Epson Corporation

Name: %{pkgtarname}
Version: 1.0.1
Release: 1lsb%{lsbver}
Source0: %{filtername}-%{filterver}.tar.gz
Source1: %{pkgtarname}-%{version}.tar.gz
License: LGPL and SEIKO EPSON CORPORATION SOFTWARE LICENSE AGREEMENT
Vendor: Seiko Epson Corporation
URL: http://avasys.jp/english/linux_e/
Packager: Seiko Epson Corporation <linux-epson-inkjet@avasys.jp>
BuildRoot: %{_tmppath}/%{pkgtarname}-%{version}-%{release}
Group: Applications/System
Requires: lsb >= %{lsbver}
BuildRequires: lsb-build-cc, lsb-build-c++, lsb-appchk
BuildRequires: gzip
Summary: Epson Inkjet Printer Driver - WorkForce 645 / Epson Stylus NX530 Series

%description
This software is a filter program used with Common UNIX Printing
System (CUPS) from the Linux. This can supply the high quality print
with Seiko Epson Color Ink Jet Printers.

This printer driver is supporting the following printers.

WorkForce 545
WorkForce 645
Epson ME OFFICE 940FW
Epson Stylus NX530
Epson Stylus NX635
Epson Stylus SX535WD
Epson Stylus Office BX535WD
Epson Stylus Office BX630FW
Epson Stylus Office BX635FWD

For detail list of supported printer, please refer to below site:
http://avasys.jp/english/linux_e/

# Packaging settings
%install_into_opt

%prep
rm -rf $RPM_BUILD_DIR/%{filtername}-%{filterver}
rm -rf $RPM_BUILD_DIR/%{pkgtarname}-%{version}

tar xzvf %{_sourcedir}/%{filtername}-%{filterver}.tar.gz -C $RPM_BUILD_DIR/
tar xzvf %{_sourcedir}/%{pkgtarname}-%{version}.tar.gz -C $RPM_BUILD_DIR/

%build
cd $RPM_BUILD_DIR/%{filtername}-%{filterver}
autoreconf -f -i
%configure
make 

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_cupsserverbin}/filter
install -d %{buildroot}%{_docdir}

cd $RPM_BUILD_DIR/%{filtername}-%{filterver}
install src/`echo %{filtername} | tr - _` %{buildroot}%{_cupsserverbin}/filter
for file in AUTHORS COPYING COPYING.LIB COPYING.EPSON ; do
	install -m 644 $file %{buildroot}%{_docdir}
done

cd $RPM_BUILD_DIR/%{pkgtarname}-%{version}
install -m 644 Manual.txt README NEWS %{buildroot}%{_docdir}

case `uname -m` in
	x86_64)	X86LIB=64 ;;
	*)	;;
esac

for folder in ppds lib"$X86LIB" resource watermark ; do
	install -d %{buildroot}%{_prefix}/$folder
	install -m 644 -t %{buildroot}%{_prefix}/$folder $folder/*
done

%adjust_ppds

cd %{buildroot}%{_prefix}/ppds
for ppd in `ls -1F *.ppd` ; do
	gzip -9 $ppd
done

%pre
%create_opt_dirs

%post
/sbin/ldconfig
%set_ppd_links
%update_ppds_fast
%restart_cups

%postun
/sbin/ldconfig
%not_on_rpm_update
%remove_ppd_links
%restart_cups
%end_not_on_rpm_update

%clean
cd $RPM_BUILD_DIR/%{filtername}-%{filterver}
make clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_prefix}/*
